[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# ALL_PERMISSIONS

Set with all permissions

## Declaration

Source position: libtar.pp line 221

`const ALL_PERMISSIONS = [tpReadByOwner, tpWriteByOwner, tpExecuteByOwner, tpReadByGroup, tpWriteByGroup, tpExecuteByGroup, tpReadByOther, tpWriteByOther, tpExecuteByOther];`

## Description

ALL_PERMISSIONS is a set constant containing all possible permissions (read/write/execute, for all groups of users) for an archive entry.

## See also

TTarPermissions |  | Complete set of permissions for file
READ_PERMISSIONS |  | Set with all read permissions
WRITE_PERMISSIONS |  | Set with all write permissions
EXECUTE_PERMISSIONS |  | Set with all execute permissions

Documentation generated on: Feb 26 2014